Skip to main content
`Ctrl`+`K`

# PETSC_VIEWER_SAWS_

Creates a SAWs `PetscViewer` shared by all MPI processes in a communicator.

## Synopsis

    PetscViewer PETSC_VIEWER_SAWS_(MPI_Comm comm)

Collective

## Input Parameter

- comm - the MPI communicator to share the `PetscViewer`

## Note

Unlike almost all other PETSc routines, `PETSC_VIEWER_SAWS_()` does not return an error code. The resulting `PetscViewer` is usually used in the form

    XXXView(XXX object, PETSC_VIEWER_SAWS_(comm));

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PETSC_VIEWER_SAWS_WORLD`, `PETSC_VIEWER_SAWS_SELF`

## Level

developer

## Location

src/sys/classes/viewer/impls/ams/ams.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages